Get all users

GET
/api/v2/users

Get a list of all users with pagination and filtering.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Query Parameters

sort_by?string

Sort by field name (optional). Available fields: "FullName", "Email", "UserName", "IsActive", "Groups", "Type", "CreatedDate", "ModifiedDate"

full_name?string

User full name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
email?string

User email used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
is_active?boolean

User isActive field used for filtering (optional). values : true or false.

group_id?string

Group ID used for filtering users by group membership. Only supports exact match (equals operator). Example: ?group_id=4ae9735a-d165-4671-bd00-4119204f00d8

Formatuuid
page?integer

Page number (1-based). Default is 1. Ignored when get_all = true.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

Formatint32
Range1 <= value <= 50
get_all?boolean

When true, pagination is disabled and all items are returned.

sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v2/users"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "domainAccount": "string",      "fullName": "string",      "firstName": "string",      "lastName": "string",      "userName": "string",      "email": "string",      "password": "string",      "hasQalyptusCredentials": true,      "isActive": true,      "groupsList": "string",      "createdDate": "2019-08-24T14:15:22Z",      "modifiedDate": "2019-08-24T14:15:22Z",      "isoLanguage": "string",      "language": "string",      "license": 0,      "timeZone": "string",      "timeZoneOfset": "string",      "groups": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      ],      "roles": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      ],      "organizations": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      ],      "organizationList": "string",      "rolePermissions": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "description": "string",          "type": "string",          "allProjects": true,          "projects": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "name": "string"            }          ],          "createdDate": "2019-08-24T14:15:22Z",          "modifiedDate": "2019-08-24T14:15:22Z",          "permissions": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "viewProject": true,            "importProject": true,            "updateProject": true,            "deleteProject": true,            "viewTask": true,            "createTask": true,            "editTask": true,            "deleteTask": true,            "runTask": true,            "viewTaskStatus": true,            "viewUser": true,            "createUser": true,            "editUser": true,            "deleteUser": true,            "viewGroup": true,            "createGroup": true,            "editGroup": true,            "deleteGroup": true,            "viewUserDirectory": true,            "createUserDirectory": true,            "editUserDirectory": true,            "deleteUserDirectory": true,            "viewSystem": true,            "createSystem": true,            "editSystem": true,            "deleteSystem": true,            "viewSettings": true,            "editSettings": true,            "useApiKeys": true,            "previewPublishedReport": true,            "downloadPublishedReport": true,            "subscribePublishedReport": true,            "deletePublishedReport": true,            "viewCondition": true,            "createCondition": true,            "editCondition": true,            "deleteCondition": true,            "enterprise": true,            "createdDate": "2019-08-24T14:15:22Z",            "modifiedDate": "2019-08-24T14:15:22Z"          },          "isActive": true,          "alterable": true        }      ],      "profileImage": "string",      "type": "string"    }  ],  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}